Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038340
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-04-11 22:122018-05-25 08:39
ReporterVictorVillarView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision541a157c057a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0038340: There is no possibility to put a report template for Distribution Orders in the Document Type

DescriptionThere is no possibility to put a report template for Distribution Orders in the Document Type
Steps To ReproduceThere is no possibility to put a report template for Distribution Orders in the Document Type
TagsNo tags attached.
Attached Filesdiff file icon FIXED_ISSUE_38340.diff [^] (16,163 bytes) 2018-05-10 18:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0038518 closedcaristu Openbravo ERP Ability of compiling subreports with HttpSecureAppServlet.renderJR 
related to design defect 0038619 newTriage Finance Modules Not possible to define a custom Print Out for Issue/Receive Distribution Order 

-  Notes
(0104315)
collazoandy4 (developer)
2018-05-08 02:36

Test Plan
  As AWO-QA Admin Role
    Go to Distribution Order Issue and click on Print button and check the process ends successfull and a new report file is open
    Go to Document Type and edit Distribution Order Issue record, set a new report template
    Go back to Distribution Order Issue window and clic on Print button and check the newly report templated defined in document type is now used for the report.

Test Plan II
  Repeat the Previous test plan for Distribution Order Receipt document.
(0104459)
vmromanos (manager)
2018-05-10 18:04
edited on: 2018-05-10 18:05

Proper fix for this issue is blocked by platform issue 0038518.

In the attached file the first changeset ONLY, with node id 407ffc93b2b0f10b2f8ede129d2d6b4217914fa6, is a workaround for this issue without waiting for 0038518 fix.

If the fix for 0038518 changes the internal HttpSecureAppServlet.renderJR() to always compile subreports, then the last changesets in attached solution will work fine.

If platform decides another way to fix it, like adding a new param to renderJR, then we will need to adapt changeset 259a0ed202429935f2bfb5f9ca187e297d9cd06c

(0104686)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: c0b2758211904436961fd21f51ce285241cf0bc6
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu May 03 16:00:52 2018 -0400
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/c0b2758211904436961fd21f51ce285241cf0bc6 [^]

Fixes issue 38340: There is no possibility to put a report template for
Distribution Orders in the Document Type

The Distribution Order document type is ignoring the AD definition for Report
Template.

Now the code have been modified to properly take into account the AD definition
for Report Template.

---
M src/org/openbravo/distributionorder/erpReports/OBDO_DistOrder.jrxml
M src/org/openbravo/distributionorder/erpReports/Print_DistOrder.java
---
(0104687)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: 31b6036d6777d1e151b6f59f7187d32ee4c834ba
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu May 10 17:16:27 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/31b6036d6777d1e151b6f59f7187d32ee4c834ba [^]

Fixes issue 38340: reverted changes in Print_DistOrder as they are not right

---
M src/org/openbravo/distributionorder/erpReports/Print_DistOrder.java
---
(0104688)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: 541a157c057a3fa354819387d1eb81aa811d2ad2
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu May 10 17:58:51 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/541a157c057a3fa354819387d1eb81aa811d2ad2 [^]

Fixed issue 38340: improved solution based on 0038518
The Template is gotten from the standard TemplateData.getDocumentTemplates() API. If not returns the hardcoded template for DO.
Logic related to download is directly managed by HttpSecureAppServlet

---
M src/org/openbravo/distributionorder/erpReports/Print_DistOrder.java
---
(0104689)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: bbf6184109dcee0e68c8632ac37771f7619d8915
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon May 21 13:32:28 2018 -0400
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/bbf6184109dcee0e68c8632ac37771f7619d8915 [^]

Related to issue 38340:Set the report file name exporting the report

The Report File Name defined in the document type template it's was not taking
into account when the is exported to pdf file.

The report file name is now the one defined in the document type report template
if not template is defined a default file name is set

---
M src/org/openbravo/distributionorder/erpReports/Print_DistOrder.java
---
(0104690)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: 2681b9e5570bddf785de47fabf7404bb1cc60cc3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed May 23 11:35:40 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/2681b9e5570bddf785de47fabf7404bb1cc60cc3 [^]

Related to Issue 38340. Code Review changes:

* Added logger
* Renamed variables and constants to make names more descriptive
* Added missing Override annotations
* Added missing try-catch in doPost method
* In getDocumentTypeTemplate method, return an empty array if no
  templates are found
* In printPagePartePDF check only if the template variable is empty,
  no null results can be returned after the change

---
M src/org/openbravo/distributionorder/erpReports/Print_DistOrder.java
---
(0104691)
hgbot (developer)
2018-05-25 08:38

Repository: erp/mods/org.openbravo.distributionorder
Changeset: 79d72cb76ebf64b4623f942ebb168496228a05b8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri May 25 08:37:59 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/79d72cb76ebf64b4623f942ebb168496228a05b8 [^]

Related to Issue 38340. Updates Module version

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0104692)
dmiguelez (developer)
2018-05-25 08:39

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2018-04-11 22:12 VictorVillar New Issue
2018-04-11 22:12 VictorVillar Assigned To => dmiguelez
2018-04-16 15:38 martinsdan Issue Monitored: martinsdan
2018-04-17 12:28 ngarcia Issue Monitored: ngarcia
2018-04-18 16:45 dmiguelez Assigned To dmiguelez => Triage Finance
2018-04-20 11:19 dmiguelez Assigned To Triage Finance => collazoandy4
2018-04-30 17:07 collazoandy4 Status new => scheduled
2018-05-08 02:36 collazoandy4 Note Added: 0104315
2018-05-10 17:50 vmromanos Relationship added depends on 0038518
2018-05-10 18:00 vmromanos File Added: FIXED_ISSUE_38340.diff
2018-05-10 18:04 vmromanos Note Added: 0104459
2018-05-10 18:05 vmromanos Note Edited: 0104459 View Revisions
2018-05-21 14:04 vmromanos Assigned To collazoandy4 => vmromanos
2018-05-24 15:46 dmiguelez Relationship added related to 0038619
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104686
2018-05-25 08:38 hgbot Status scheduled => resolved
2018-05-25 08:38 hgbot Resolution open => fixed
2018-05-25 08:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/c0b2758211904436961fd21f51ce285241cf0bc6 [^]
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104687
2018-05-25 08:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/c0b2758211904436961fd21f51ce285241cf0bc6 [^] => http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/31b6036d6777d1e151b6f59f7187d32ee4c834ba [^]
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104688
2018-05-25 08:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/31b6036d6777d1e151b6f59f7187d32ee4c834ba [^] => http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/541a157c057a3fa354819387d1eb81aa811d2ad2 [^]
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104689
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104690
2018-05-25 08:38 hgbot Checkin
2018-05-25 08:38 hgbot Note Added: 0104691
2018-05-25 08:39 dmiguelez Review Assigned To => dmiguelez
2018-05-25 08:39 dmiguelez Note Added: 0104692
2018-05-25 08:39 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker